datablock ParticleData(nukeLauncherFlashParticle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = 1.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 1500;
	lifetimeVarianceMS   = 150;
	textureName          = "base/data/particles/star1";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.9 0.4 0.0 0.9";
	colors[1]     = "0.9 0.5 0.0 0.0";
	sizes[0]      = 0.25;
	sizes[1]      = 0.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(nukeLauncherFlashEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 10.0;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "nukeLauncherFlashParticle";


};

datablock ParticleData(nukeLauncherSmokeParticle)
{
	dragCoefficient      = 5;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 300;
	lifetimeVarianceMS   = 250;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;

   colors[0]     = "0.8 0.7 0.5 0.0";
	colors[1]     = "0.5 0.5 0.5 0.9";
	colors[2]     = "0.5 0.5 0.5 0.0";

	sizes[0]      = 1.25;
   sizes[1]      = 2.0;
	sizes[2]      = 1.75;

   times[0] = 0.0;
   times[1] = 0.5;
   times[2] = 1.0;

	useInvAlpha = false;
};
datablock ParticleEmitterData(nukeLauncherSmokeEmitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 10.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 25;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "nukeLauncherSmokeParticle";


};


//bullet trail effects
//datablock ParticleData(nukeTrailParticle)
//{
//	dragCoefficient      = 3;
//	gravityCoefficient   = -0.0;
//	inheritedVelFactor   = 0.15;
//	constantAcceleration = 0.0;
//	lifetimeMS           = 3000;
//	lifetimeVarianceMS   = 805;
//	textureName          = "base/data/particles/cloud";
//	spinSpeed		= 10.0;
//	spinRandomMin		= -150.0;
//	spinRandomMax		= 150.0;
//	colors[0]     = "1.0 1.0 0.0 0.4";
//	colors[1]     = "1.0 0.2 0.0 0.5";
//   colors[2]     = "0.20 0.20 0.20 0.3";
//   colors[3]     = "0.0 0.0 0.0 0.0";
//
//	sizes[0]      = 0.75;
//	sizes[1]      = 1.12;
//   sizes[2]      = 5.35;
// 	sizes[3]      = 0.05;
//
//   times[0] = 0.0;
//   times[1] = 0.05;
//   times[2] = 0.3;
//   times[3] = 1.0;
//
//	useInvAlpha = false;
//};
//datablock ParticleEmitterData(nukeTrailEmitter)
//{
//   ejectionPeriodMS = 5;
//   periodVarianceMS = 1;
//   ejectionVelocity = 0.25;
//   velocityVariance = 0.0;
//   ejectionOffset   = 0.0;
//   thetaMin         = 0;
//   thetaMax         = 90;
//   phiReferenceVel  = 0;
//   phiVariance      = 360;
//   overrideAdvance = false;
//   particles = "nukeTrailParticle";
//};

datablock ParticleData(nukeExplosionParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = -1.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 9800;
	lifetimeVarianceMS   = 100;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.1 0.1 0.1 1";
	colors[1]     = "0.4 0.5 0.5 0.9";
	colors[1]     = "0.2 0.1 0.1 0.0";
	sizes[0]      = 12.0;
	sizes[1]      = 182.0;
	sizes[2]      = 1.0;

	useInvAlpha = true;
};
datablock ParticleEmitterData(nukeExplosionEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 50;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "nukeExplosionParticle";


   emitterNode = TenthEmitterNode;
};

datablock ParticleData(nukeOverlayExplosionParticle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = 5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 1800;
	lifetimeVarianceMS   = 100;
	textureName          = "base/data/particles/star";
	spinSpeed		= 900.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.9 0.1 0.1 0.1";
	colors[0]     = "0.9 0.5 0.2 0.06";
	colors[0]     = "0.7 0.4 0.1 0.0";
	sizes[0]      = 90.0;
	sizes[1]      = 2.0;
	sizes[2]      = 1.0;
   times[0] = 0.0;
   times[1] = 0.05;
   times[2] = 1.0;


	useInvAlpha = true;
};
datablock ParticleEmitterData(nukeOverlayExplosionEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 90;
   velocityVariance = 0.0;
   ejectionOffset   = 9.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "nukeOverlayExplosionParticle";


   emitterNode = TenthEmitterNode;
};

datablock ParticleData(nukeExplosionRingParticle)
{
	dragCoefficient      = 4;
	gravityCoefficient   = -2.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 9350;
	lifetimeVarianceMS   = 135;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 25.0;
	spinRandomMin		= -25.0;
	spinRandomMax		= 25.0;
	colors[0]     = "1 0.3 0.0 0.2";
	colors[1]     = "0.2 0.2 0.2 0.0";
	sizes[0]      = 16;
	sizes[1]      = 19;

	useInvAlpha = false;
};
datablock ParticleEmitterData(nukeExplosionRingEmitter)
{
	lifeTimeMS = 90;

   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 120;
   velocityVariance = 1.0;
   ejectionOffset   = 20.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "nukeExplosionRingParticle";
};

datablock DebrisData(nukeBitsDebris)
{
   emitters = "nukeTrailEmitter";

	lifetime = 0.1;
	minSpinSpeed = -300.0;
	maxSpinSpeed = 300.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 0;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = false;

	gravModifier = 1;
};

datablock ExplosionData(nukeExplosion)
{
   //explosionShape = "";
   //explosionShape = "./explosionSphere1.dts";
	soundProfile = nukeExplodeSound;

   debris = nukeBitsDebris;
   debrisNum = 90;
   debrisNumVariance = 0;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 180;
   debrisVelocity = 680;
   debrisVelocityVariance = 60;
   lifeTimeMS = 250;

   particleEmitter = nukeExplosionEmitter;
   particleDensity = 10;
   particleRadius = 0.2;

   emitter[0] = nukeExplosionRingEmitter;
   emitter[1] = nukeOverlayExplosionEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "3.0 10.0 3.0";
   camShakeDuration = 2.5;
   camShakeRadius = 20.0;

   // Dynamic light
   lightStartRadius = 60;
   lightEndRadius = 80;
   lightStartColor = "0.9 0.8 0.2 1";
   lightEndColor = "0.3 0.1 0.0 1";

   damageRadius = 25;
   radiusDamage = 9000;

   impulseRadius = 49;
   impulseForce = 94000;
};

